Skip to main content
POST
/
api
/
v1
/
simple-routing-rules
Basit yönlendirme kuralı oluştur
curl --request POST \
  --url https://vpos-sandbox.payven.com.tr/api/v1/simple-routing-rules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "extra_properties_dict": {},
  "name": "<string>",
  "priority": 123,
  "bank_code": "<string>",
  "has_installment": true,
  "min_amount": 123,
  "max_amount": 123,
  "currency": "<string>",
  "target_connector_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "fallback_connector_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_active": true
}
'
"3c90c3cc-0d44-4b50-8888-8dd25736052a"

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Headers

Idempotency-Key
string

Body

application/json
extra_properties_dict
object
name
string | null
priority
integer<int32>
bank_code
string | null
has_installment
boolean | null
min_amount
integer<int64> | null
max_amount
integer<int64> | null
currency
string | null
card_brand_filter
enum<string>
Available options:
Bonus,
Axess,
World,
Maximum,
Cardfinans,
Paraf,
Advantage,
Bankkart,
Other
card_type_filter
enum<string>
Available options:
Credit,
Debit,
Prepaid
target_connector_config_id
string<uuid>
fallback_connector_config_id
string<uuid> | null
is_active
boolean

Response

Created

The response is of type string<uuid>.